package com.ruoyi.dataanalysis.service;


import com.ruoyi.dataanalysis.model.param.CustomerChartsParam;
import com.ruoyi.dataanalysis.model.param.SaleChartsParam;
import com.ruoyi.dataanalysis.model.param.StoreChartsParam;
import com.ruoyi.dataanalysis.model.result.CustomerChartsResult;
import com.ruoyi.dataanalysis.model.result.CustomerChartsStatisticsResult;
import com.ruoyi.dataanalysis.model.result.SaleChartsResult;
import com.ruoyi.dataanalysis.model.result.StoreChartsResult;

import java.util.List;

/**
 * 首页数据统计
 *
 * @author liwenlong
 * @date 2023-02-13
 */
public interface DataAnalysisService {


    List<CustomerChartsResult> customerCharts(CustomerChartsParam customerChartsParam);

    List<StoreChartsResult> storeCharts(StoreChartsParam storeChartsParam);

    List<SaleChartsResult> saleCharts(SaleChartsParam saleChartsParam);

    CustomerChartsStatisticsResult customerChartsStatistics(CustomerChartsParam customerChartsParam);

    Object storeChartsStatistics(StoreChartsParam storeChartsParam);

    Object saleChartsStatistics(SaleChartsParam saleChartsParam);
}